VirtualBox Main API

Public Member Functions | Public Attributes | List of all members
IAudioAdapter Interface Reference

The IAudioAdapter interface represents the virtual audio adapter of the virtual machine. More...

Inheritance diagram for IAudioAdapter:

## Public Member Functions
void | setProperty (in wstring key, in wstring value)
| Sets an audio specific property string. More...
void | getProperty (in wstring key, [retval] out wstring value)
| Returns an audio specific property string. More...

## Public Attributes
attribute boolean | enabled
| Flag whether the audio adapter is present in the guest system. More...
attribute boolean | enabledIn
| Flag whether the audio adapter is enabled for audio input. More...
attribute boolean | enabledOut
| Flag whether the audio adapter is enabled for audio output. More...
attribute AudioControllerType | audioController
| The emulated audio controller. More...
attribute AudioCodecType | audioCodec
| The exact variant of audio codec hardware presented to the guest. More...
attribute AudioDriverType | audioDriver
| Audio driver the adapter is connected to. More...
readonly attribute wstring [] | propertiesList
| Array of names of tunable properties, which can be supported by audio driver. More...

## Detailed Description

The IAudioAdapter interface represents the virtual audio adapter of the virtual machine.

Used in IMachine::audioAdapter.

Interface ID:
  `{AECCC0A8-E0A0-427F-B946-C42063F54D81}`

## Member Function Documentation

## ◆ setProperty()

void IAudioAdapter::setProperty | ( | in wstring | key,
|  | in wstring | value
| ) |  |

Sets an audio specific property string.

If you pass `null` or empty string as a key value, the given key will be deleted.

Parameters

  key | Name of the key to set.
  value | Value to assign to the key.

## ◆ getProperty()

void IAudioAdapter::getProperty | ( | in wstring | key,
|  | [retval] out wstring | value
| ) |  |

Returns an audio specific property string.

If the requested data key does not exist, this function will succeed and return an empty string in the value argument.

Parameters

  key | Name of the key to get.
  value | Value of the requested key.

## Member Data Documentation

## ◆ enabled

attribute boolean IAudioAdapter::enabled

Flag whether the audio adapter is present in the guest system.

If disabled, the virtual guest hardware will not contain any audio adapter. Can only be changed when the VM is not running.

## ◆ enabledIn

attribute boolean IAudioAdapter::enabledIn

Flag whether the audio adapter is enabled for audio input.

Only relevant if the adapter is enabled.

## ◆ enabledOut

attribute boolean IAudioAdapter::enabledOut

Flag whether the audio adapter is enabled for audio output.

Only relevant if the adapter is enabled.

## ◆ audioController

attribute AudioControllerType IAudioAdapter::audioController

The emulated audio controller.

## ◆ audioCodec

attribute AudioCodecType IAudioAdapter::audioCodec

The exact variant of audio codec hardware presented to the guest.

For HDA and SB16, only one variant is available, but for AC'97, there are several.

## ◆ audioDriver

attribute AudioDriverType IAudioAdapter::audioDriver

Audio driver the adapter is connected to.

This setting can only be changed when the VM is not running.

## ◆ propertiesList

readonly attribute wstring [] IAudioAdapter::propertiesList

Array of names of tunable properties, which can be supported by audio driver.